# AWS Bedrock Object Structure

Integrating AWS Bedrock with your application allows you to seamlessly utilize multiple AI models hosted on AWS. This section details how to configure the AWS Bedrock endpoint for your needs.

## Example Configuration

```yaml filename="Example AWS Bedrock Object Structure"
endpoints:
  bedrock:
    titleModel: "anthropic.claude-3-haiku-20240307-v1:0"
    streamRate: 35
    availableRegions:
      - "us-east-1"
      - "us-west-2"
```

## titleModel

**Key:**
<OptionTable
  options={[
    ['titleModel', 'String', 'Specifies the model to use for generating conversation titles.', 'Recommended: anthropic.claude-3-haiku-20240307-v1:0. Set to "current_model" to use the same model as the chat.'],
  ]}
/>

**Default:** Not specified

**Example:**
```yaml filename="titleModel"
titleModel: "anthropic.claude-3-haiku-20240307-v1:0"
```

## streamRate

**Key:**
<OptionTable
  options={[
    ['streamRate', 'Number', 'Sets the rate of processing each new token in milliseconds.', 'This can help stabilize processing of concurrent requests and provide smoother frontend stream rendering.'],
  ]}
/>

**Default:** Not specified

**Example:**
```yaml filename="streamRate"
streamRate: 35
```

## availableRegions

**Key:**
<OptionTable
  options={[
    ['availableRegions', 'Array', 'Specifies the AWS regions you want to make available for Bedrock.', 'If provided, users will see a dropdown to select the region. If not selected, the default region is used.'],
  ]}
/>

**Default:** Not specified

**Example:**
```yaml filename="availableRegions"
availableRegions:
  - "us-east-1"
  - "us-west-2"
```

## Notes

- The main configuration for AWS Bedrock is done through environment variables, additional forms of authentication are in development.